# 官方文档
# http://github.com/nyanmisaka
# https://hub.docker.com/r/nyanmisaka/jellyfin

---
version: "3"
# 最后编辑时间：2024-01-08
services:
  jellyfin:
    image: nyanmisaka/jellyfin:latest
    # 镜像地址，无脑推荐使用ny大佬的JF，做好了全部修正优化，开箱即用追新即可,另外JF和EMBY同根生，可以使用相同的模板   
    # x86设备默认用latest，arm64v8设备用latest-rockchip，arm64v7设备只能用官方版或者linuxserver版
    container_name: jellyfin
    # 容器名字
    hostname: jellyfin
    # 主机名
    # 调用N卡
    privileged: true
    # 特权模式，赋予容器几乎与主机相同的权限
    devices:
      - /dev/dri:/dev/dri
      # 开启硬件转码
    # runtime: nvidia
    # 使用N卡的需要装好N卡驱动，并且设置这个参数
    volumes:
      - /volume1/docker/jellyfin/config:/config
      # 配置文件目录
      - /volume1:/media
      # 可以自定义，可以写多个
      - /volume1/docker/jellyfin/cache:/cache
      # 缓存目录
    environment:
      # - NVIDIA_DRIVER_CAPABILITIES=all
      # - NVIDIA_VISIBLE_DEVICES=N卡的ID
      # 使用N卡的需要装好N卡驱动，并且设置这两个N卡参数
      - TZ=Asia/Shanghai
      # 时区
      # 以下是为JF添加网络代理，自行准备好魔法
      # - NO_PROXY=172.17.0.1,127.0.0.1,localhost
      # 保持默认
      # - ALL_PROXY=http://【IP:PORT】
      # 更换为自己的http代理
      # - HTTP_PROXY=http://【IP:PORT】
      # 更换为自己的http代理
    # network_mode: bridge
    network_mode: host
    # host模式需要容器内的端口不被占用，不需要端口映射，后续端口映射全都开头加#注释掉，否则注释掉这条
    # ports:
     # - 8096:8096/tcp
     # WebUI http端口
     # - 8920:8920/tcp
     # WebUI https端口
    restart: unless-stopped
    # 重启策略，可根据实际情况而选择 no/always/unless-stopped/on-failure/on-failure:3
